import { BigNumber } from "../utils";
import AbstractApiClient from "./abstractClient";
import { AcrossBridgeStatisticsType, BridgeLimitsReturnType, CoingeckoDataReturnType, EndpointResultMappingType, SuggestedFeeReturnType } from "./types";
export default class MockedApiClient extends AbstractApiClient {
    private readonly mockedData;
    constructor(mockedData?: Partial<EndpointResultMappingType>);
    getCoinGeckoData(_l1Token: string, _baseCurrency: string): Promise<CoingeckoDataReturnType>;
    getSuggestedFees(_amount: BigNumber, _originToken: string, _toChainid: number, _fromChainid: number): Promise<SuggestedFeeReturnType>;
    getBridgeLimits(_token: string, _fromChainId: string | number, _toChainId: string | number): Promise<BridgeLimitsReturnType>;
    getAcrossStats(): Promise<AcrossBridgeStatisticsType>;
}
